Bug 1626104 - Obsolete gnome-shell-browser-plugin
Summary: Obsolete gnome-shell-browser-plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-software
Version: 7.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Richard Hughes
QA Contact: Desktop QE
Marie Hornickova
URL:
Whiteboard:
: 1609738 (view as bug list)
Depends On:
Blocks: 1609738
TreeView+ depends on / blocked
 
Reported: 2018-09-06 15:00 UTC by Jiri Koten
Modified: 2018-10-30 10:28 UTC (History)
5 users (show)

Fixed In Version: gnome-shell-3.28.3-4.el7 gnome-software-3.28.2-3.el7
Doc Type: Release Note
Doc Text:
The _gnome-shell-browser-plugin_ subpackage has been deprecated Since the Firefox Extended Support Release (ESR 60), Firefox no longer supports the Netscape Plugin Application Programming Interface (NPAPI) that was used by the _gnome-shell-browser-plugin_ subpackage. The subpackage, which provided the functionality to install GNOME Shell Extensions, has thus been deprecated. The installation of GNOME Shell Extensions is now handled directly in the _gnome-software_ package.
Clone Of:
Environment:
Last Closed: 2018-10-30 10:27:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:28:22 UTC

Description Jiri Koten 2018-09-06 15:00:56 UTC
Description of problem:
With the update to version 60, firefox dropped support for the gnome-shell browser plugin.

The functionality to install gnome-shell extensions is now handled by gnome-software, therefore it should obsolete the browser plugin. 

Version-Release number of selected component (if applicable):
firefox-60.1.0-4.el7_5
gnome-shell-browser-plugin-0:3.28.3-2.el7
gnome-software-3.28.2-2.el7

Comment 2 Ray Strode [halfline] 2018-09-07 13:29:56 UTC
devack, sounds important.

Comment 3 Kalev Lember 2018-09-10 17:51:29 UTC
I've fixed it so that gnome-shell-3.28.3-4.el7 drops gnome-shell-browser-plugin subpackage and gnome-software-3.28.2-3.el7 adds the obsoletes.

Comment 5 Tomas Pelka 2018-09-11 10:19:13 UTC
*** Bug 1609738 has been marked as a duplicate of this bug. ***

Comment 6 Tomas Pelka 2018-09-11 15:11:28 UTC
gnome-software now obsolete gnome-shell-browser-plugin which get removed and its functionality is covered by gnome-software.

Comment 14 errata-xmlrpc 2018-10-30 10:27:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.